#!/bin/bash

if [ -n "$1" ] ; then
	
source ./sgrub_configure.sh
	if ./build_cdrom_fs.sh ; then
	echo -e "GREAT!: Build of cdrom filesystem went ok\n";
	else
	echo -e "ERROR: Build of cdrom filesystem did not finish ok.\n";
	exit 1;
	fi
if ./build_cdrom_iso_from_fs.sh "$1" ; 
then
echo -e "GREAT! We could run build_cdrom_iso_from_fs.sh\n"
else
echo -e "ERROR: We could NOT run build_cdrom_iso_from_fs.sh\n"
exit 1;
fi

else
	echo -e "ERROR:\n";
	echo -e "Please specify the ISO where you want to store SGD\n"
	echo -e "e.g. \n"
	echo -e "$0 /tmp/sgd_0.xx.iso\n"
	exit 1
fi


echo -e "WELLDONE!: $0 script finished without any error!\n";
exit 0;